## apt-proxy 1.9.36.3+nmu1

=== doc/Makefile ===
apt-proxy-import.8: ../bin/apt-proxy-import apt-proxy-import.8.inc
	PYTHONPATH="`cd ..;pwd`" \
	  help2man \
		-N \
		-i apt-proxy-import.8.inc \
		--section="8" \
		--source="Debian GNU/Linux" \
		--manual=" " \
		-o $@ \
		../bin/apt-proxy-import

clean:
	rm -f apt-proxy-import.8

=== debian/changelog ===
apt-proxy (1.9.36.3+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Change regexp for translated package description files to accept '_'
    (Closes: #484331).  Patch by Yuri Kozlov <kozlov.y@gmail.com>.

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 28 Jun 2008 18:31:31 +0000

apt-proxy (1.9.36.3) unstable; urgency=low

  * apt-proxy-import: Do not crash with verbose (-v) or debug (-d) options,
    thanks Xavier Luthi for the patch (Closes: #476278)
  * Add ftp.gnuab.org repository to available repositories, thanks Chris Lamb
    (Closes: #416072)
  * Update French translation, thanks Sylvain Archenault (Closes: #473878)
  * Update Russian debconf templates, thanks Yuriy Talakan (Closes: #416344)
  * Fix problems in debian/control found by Lintian:
    - Move po-debconf to Build-Depends because it is needed during clean
    - debhelper was declared in bothe Build-Depends and Build-Depends-Indep

 -- Chris Halls <halls@debian.org>  Tue, 29 Apr 2008 09:27:15 +0100

apt-proxy (1.9.36.2) unstable; urgency=low

  * fix FTBFS: po4a fails. Thanks to Miguel Gea Milvaques for the partial
    solution. Added more temporary hacks but it seems we are using help2man
    in the wrong way for French translations at the moment. (Closes: #470345)
  * Use LSB log message functions, based on patch by Steven Harms / Ubuntu,
    thanks!  (Closes: #408024)
  * Add LSB dependency information, based on patch by Petter Reinholdtsen
    (Closes: #460908)

 -- Chris Halls <halls@debian.org>  Tue, 25 Mar 2008 13:22:20 +0000

=== debian/control ===
Source: apt-proxy
Section: admin
Priority: extra
Maintainer: Chris Halls <halls@debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>
Standards-Version: 3.7.2
XS-Python-Version: current
Build-Depends: debhelper (>= 4.1.13), po-debconf
Build-Depends-Indep: help2man, python-twisted-web (>= 0.6), python (>= 2.3.5-1), python-apt, po4a (>= 0.18.1), python-central (>= 0.5)

Package: apt-proxy
Architecture: all
Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted-web (>= 0.6), python-apt (>= 0.5.8), bzip2, logrotate, adduser
Conflicts: apt-proxy-v2 (<= 1.9.5)
Replaces: apt-proxy-v2 (<= 1.9.5)
Suggests: rsync
XB-Python-Version: ${python:Versions}
Description: Debian archive proxy and partial mirror builder
 apt-proxy automatically builds a Debian HTTP mirror based
 on requests which pass through the proxy.  It's great for
 multiple Debian machines on the same network with a slower
 internet link.
 .
 The archive is automatically kept up to date using http,
 ftp or rsync.  Cache cleaning of unused and old versions
 is configurable.  You can also import the contents of
 your apt cache into the archive using apt-proxy-import.
 .
 For more information, see the apt-proxy homepage at
 http://apt-proxy.sourceforge.net
 .
 The suggested packages are needed for the following
 features: rsync for rsyncd backends, and
 dpkg-dev for apt-proxy-import.

## apt-proxy 1.9.36.3+nmu1ubuntu1

=== debian/changelog ===
apt-proxy (1.9.36.3+nmu1ubuntu1) jaunty; urgency=low

  * fechters.py: Resolve exception if self.fetcher.backendServer is None 
    thanks to Matt Brown for the patch.  (Closes: #450598, LP: #305234)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Apr 2009 11:26:12 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-proxy
 Section: admin
 Priority: extra
-Maintainer: Chris Halls <halls@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Halls <halls@debian.org>
 Uploaders: Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.7.2
 XS-Python-Version: current

## apt-proxy 1.9.37ubuntu1

=== debian/changelog ===
apt-proxy (1.9.37ubuntu1) lucid; urgency=low

  * merge from Debian testing, remaining Ubuntu changes:
    - fechters.py: Resolve exception if self.fetcher.backendServer is None
      thanks to Matt Brown for the patch.  (Closes: #450598)

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Jan 2010 15:04:56 -0800

apt-proxy (1.9.37) unstable; urgency=low

  [ Chris Halls ]
  * Ensure that the status of a file is always reset, even if the download
    does not complete (Closes: #428505)
  * Fix complete_clientless_downloads so apt-proxy stops downloading when
    unset (Closes: #343395)
  * Add a generic error handler for unknown exceptions when a client requests a
    file. This is the start of making apt-proxy fail safely by resetting its
    internal state when something strange happens.
  * Merge 1.3.7 changelog into main changelog to help BTS understand which bugs
    were already closed
  * Add more unit tests

  [ Xavier Lüthi ]
  * Remove obsolete code for transition from apt-proxy < 1.9.x 
   (Closes: #378095).
  * set Apt::Cache-Limit to a high value (Closes: #370610).
  * Correct handling of empty configuration file options (Closes: #285770).
  * Path for bunzip2 corrected (Closes: #391869).
  * doc/apt-proxy-import.8: explain what import means (Closes: #355523).
  * doc/apt-proxy.conf.5:
       - document file: backends (Closes: #386562).
       - document debug option (Closes: #272155).
  * French program translation update (Closes: #485078).
  * debian/default: Setting a nice value (Closes: #275658).
  * debian/init.d: Prevent apt-proxy to fail silently during startup 
    (Closes: #432221).
  * Explain how to change apt-proxy's process owner easily (Closes: #292145).
  * Remove all code for transition from very old packages (<1.9) 
    (Closes: #378095).
  * Rename config file to apt-proxy.conf instead of apt-proxy-v2.conf.

 -- Xavier Lüthi <xluthi@debian.org>  Thu, 17 Dec 2009 15:09:20 +0100

apt-proxy (1.9.36.4) unstable; urgency=low

  * Fix a first bunch of lintian warnings:
     + "set -e" added to all maintainer script to stop execution on error.
     + unused lintian.overrides removed.
     + debian/control:
         - ${misc:Depends} added for binary package.
         - remove -1 at python version on Build-Depends.
         - Homepage tag added.
     + debian/compat: debhelper compatibility set to 7 (no change needed).
     + debian/postinst: remove absolute path before apt-proxy-v1tov2 (line 50).
     + debian/postinst: deprecated chmod syntax updated( line 67).
     + debian/templates: removed dot at end of note description + rewording.
     + debian/init.d: Default-Stop runlevel 0 & 6 added.
     + debian/config: added to handle debconf note (removed from postinst)
     + debian/preinst: removed, code merged into debian/config.
     + debian/pycompat: added and set to 2.
  * debian/control: Homepage set to the alioth page of the project.
  * Added myself to the uploader list.

 -- Xavier Lüthi <xluthi@debian.org>  Fri, 11 Dec 2009 11:31:02 +0100

apt-proxy (1.9.36.3+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix name pattern to accept uppercase characters
    Patch by Folkert van Heusden
    Closes: 503923

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 22 Nov 2009 08:15:59 +1100

apt-proxy (1.3.7) testing-proposed-updates; urgency=low

  * Resurrect version 1 for Sarge, because version 2 is still not
    stable enough to go into stable
  * When GNU sleep is available, sleep for smaller periods of time.  This
    increases apt-proxy's responsiveness on faster machines.
  * Explicitly tell rsync which directory to use for its temporary files.
    (closes: #187094)
  * Add See also: apt-proxy-import to apt-proxy(8)
  * Fix apt-proxy.conf path in French manpage, thanks to Julien Louis
  * Prevent shell expansion of input lines
  * Add section about backing up the apt-proxy cache to FAQ
  * Update apt-proxy.conf manpage:
     - Clarify that MAX_VERSIONS is the only parameter that uses Packages
       files
     - Document WGET option, thanks Andree Leidenfrost (closes: #190926)
     - Document DEBUG option (closes: #194185)
     - Make it clear that apt-proxy does not need to be reloaded for changes
       to take effect
  * Update README:
     - Remove section about Debian Potato
     - Add FAQ about backing up apt-proxy cache

 -- Chris Halls <halls@debian.org>  Wed,  3 Nov 2004 17:39:10 +0000

=== debian/control ===
Source: apt-proxy
Section: admin
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Halls <halls@debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>, Xavier Lüthi <xluthi@debian.org>
Standards-Version: 3.8.3
Homepage: http://alioth.debian.org/projects/apt-proxy/
XS-Python-Version: current
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: help2man, python-twisted-web (>= 0.6), python (>= 2.3.5), python-apt, po4a (>= 0.18.1), python-central (>= 0.5)

Package: apt-proxy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-twisted-web (>= 0.6), python-apt (>= 0.5.8), bzip2, logrotate, adduser
Conflicts: apt-proxy-v2 (<= 1.9.5)
Replaces: apt-proxy-v2 (<= 1.9.5)
Suggests: rsync
XB-Python-Version: ${python:Versions}
Description: Debian archive proxy and partial mirror builder
 apt-proxy automatically builds a Debian HTTP mirror based
 on requests which pass through the proxy.  It's great for
 multiple Debian machines on the same network with a slower
 internet link.
 .
 The archive is automatically kept up to date using http,
 ftp or rsync.  Cache cleaning of unused and old versions
 is configurable.  You can also import the contents of
 your apt cache into the archive using apt-proxy-import.
 .
 The suggested packages are needed for the following
 features: rsync for rsyncd backends, and
 dpkg-dev for apt-proxy-import.

=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=debian/apt-proxy

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) -C doc apt-proxy-import.8
	po4a doc/po4a.cfg
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f doc/*.??.*
	$(MAKE) -C doc clean
	rm -f build-stamp install-stamp AptProxy-shutdown-2.tap
	find . -name "*.pyc" |xargs -r rm
	find . -name "*.tmlc" |xargs -r rm
	#debconf-updatepo
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	#dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_installlogrotate
	dh_pycentral
	dh_python
	dh_installinit
	
	touch install-stamp

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
